//-----------------------------------------------------------------------------
///
/// \brief  DAC
///
///         Blah blah blub
///
/// \date   20150117
/// \author Maximilian Seesslen <mes@seesslen.net>
///
//-----------------------------------------------------------------------------


//---Includes------------------------------------------------------------------


//---Own------------------------------

#include <biwak/biwak.h>         // exception
#include <biwak/dac.hpp>
/*
#include <biwak/dma.h>
#include <biwak/gpio.h>
#include <biwak/rcc.h>           // rccDacClockEnable
#include <biwak/handler.h>           // __TIM6_DAC_IRQHandler()
#include <string.h>              // memset()

#include <lepto/log.h>
*/

//---Implementation------------------------------------------------------------


const CDac* interruptDac1;
const CDac* interruptDac2;


CDac::CDac( const SDacConfig &dacConfig)
   /*: eDac(_eDac)
   , eTimerDacChannel1(_eTimer1)
   , eTimerDacChannel2(_eTimer2)
   */
{
}


CDac::~CDac()
{
   
}


void CDac::init()
{
}


void CDac::start(EDacChannel eDacChannel, void *buffer, int bufferSize)
{
}


void CDac::stop()
{
}


CDacChannel::CDacChannel(CDac &pDac, EDacChannel eDacChannel
            , EGpioPeripheral _eGpioPeripheral1, EGpioPin _eGpioPin1)
   :m_pDac( pDac )
   ,m_eDacChannel( eDacChannel )
   ,m_gpio( _eGpioPeripheral1, _eGpioPin1 )
{

}


void CDacChannel::setValue(int value)
{
   return;
}


//---fin-----------------------------------------------------------------------
